Bug 1126989 - ipa-client-install creates configuration file with deprecated values
Summary: ipa-client-install creates configuration file with deprecated values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Martin Kosek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 19:19 UTC by Keenan Brock
Modified: 2015-03-05 10:13 UTC (History)
4 users (show)

Fixed In Version: ipa-4.1.0-0.1.alpha1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 10:13:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0442 normal SHIPPED_LIVE Moderate: ipa security, bug fix, and enhancement update 2015-03-05 14:50:39 UTC

Description Keenan Brock 2014-08-05 19:19:48 UTC
Description of problem:

ipa-client-install configures ipa on clients. It creates /etc/ipa/default.conf with the proper configuration.

It populates "server" field, which according to man default.conf is deprecated.


This came up because another tool I use was parsing that file and was expecting "host" not "server", which according to the man page is the preferred value.

Version-Release number of selected component (if applicable):

ipa-client-3.0.0-37.el6.x86_64

How reproducible:

always

Steps to Reproduce:
1. ipa-client-install
2. grep '\(host\|server\)' /etc/ipa/default.conf

Actual results:

server = ipaserver.kbnet.redhat.com

Expected results:

host = ipaserver.kbnet.redhat.com

Additional info:

Thanks

Comment 2 Martin Kosek 2014-08-11 14:23:19 UTC
Thanks for report! I see exactly the same issue was just reported in upstream FreeIPA: https://fedorahosted.org/freeipa/ticket/4481. I will link those 2 together.

I briefly checked in the code, we do not use api.env.server except one place, we probably copy it to, widely used, api.env.host variable. This needs to be investigated in the upstream ticket.

Comment 3 Keenan Brock 2014-08-11 14:49:05 UTC
Thank you Martin,

Sorry that this was a double post. I didn't know Nalin had posted this in freeipa.
This is related as, the "other tool" is written by Nalin.

--K

Comment 4 Martin Kosek 2014-09-26 11:42:57 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/89c4f1242558d725a1771dce444df5737e49289e
ipa-4-1:
https://fedorahosted.org/freeipa/changeset/d82bc63960c22783d8fb56bcca5e21825d9a02cc


- host option description in man page was fixed - it is the local hostname. The option is now also generated by client installer by default
- server option was "un-deprecated" in the client default.conf - this specifies the server that the client enrolled with.

Comment 6 Xiyang Dong 2015-01-13 20:32:18 UTC
Verified on ipa-client-4.1.0-13.el7.x86_64:

[root@qe-blade-05 ~]# ipa-client-install
WARNING: ntpd time&date synchronization service will not be configured as
conflicting service (chronyd) is enabled
Use --force-ntpd option to disable it and force configuration of ntpd

Discovery was successful!
Hostname: qe-blade-05.testrelm.test
Realm: TESTRELM.TEST
DNS Domain: testrelm.test
IPA Server: hp-dl385gen8-01.testrelm.test
BaseDN: dc=testrelm,dc=test

Continue to configure the system with these values? [no]: y
.
.
.
Client configuration complete.


[root@qe-blade-05 ~]# grep '\(host\|server\)' /etc/ipa/default.conf
server = hp-dl385gen8-01.testrelm.test
host = qe-blade-05.testrelm.test

Comment 8 errata-xmlrpc 2015-03-05 10:13:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0442.html


Note You need to log in before you can comment on or make changes to this bug.